#!/usr/bin/tclsh
# getweb.tcl: obtain web information

set so [socket micro.stanford.edu 80]  ;# connect to server
set q "/"

puts $so "GET $q HTTP/1.0\n\n"      ;# send request
flush $so

puts [read $so]                     ;# read & print reply
